<template>
    <div>
        <Base activeIndex="3">
        </Base>
        <div class="container">
            <el-row class="header">
                <el-col>
                    审核德育分活动
                </el-col>
            </el-row>
            <el-row>
                <el-card class="box-card">
                    <el-row class="main">
                        <el-col :span="11" class="verify-content">
                            <el-card shadow="never">
                                <el-row>
                                    <el-col :span="7">
                                        <ul class="mdui-list">
                                            <li class="mdui-list-item mdui-ripple">
                                                <i class="mdui-list-item-icon mdui-icon material-icons">adjust</i>
                                                <div class="mdui-list-item-content" style="height: 10px; width: 200px;">
                                                    活动编号： </div>
                                            </li>
                                            <li class="mdui-list-item mdui-ripple">
                                                <i
                                                    class="mdui-list-item-icon mdui-icon material-icons">accessibility</i>
                                                <div class="mdui-list-item-content">活动名称： </div>
                                            </li>
                                            <li class="mdui-list-item mdui-ripple">
                                                <i class="mdui-list-item-icon mdui-icon material-icons">border_color</i>
                                                <div class="mdui-list-item-content">德育分： </div>
                                            </li>
                                            <li class="mdui-list-item mdui-ripple">
                                                <i class="mdui-list-item-icon mdui-icon material-icons">person</i>
                                                <div class="mdui-list-item-content">反馈人： </div>
                                            </li>
                                            <li class="mdui-list-item mdui-ripple">
                                                <i class="mdui-list-item-icon mdui-icon material-icons">add_location</i>
                                                <div class="mdui-list-item-content">地理位置： </div>
                                            </li>
                                            <li class="mdui-list-item mdui-ripple">
                                                <i class="mdui-list-item-icon mdui-icon material-icons">info</i>
                                                <div class="mdui-list-item-content">反馈信息： </div>
                                            </li>
                                            <li class="mdui-list-item mdui-ripple">
                                                <i
                                                    class="mdui-list-item-icon mdui-icon material-icons">picture_in_picture</i>
                                                <div class="mdui-list-item-content">反馈图片： </div>
                                            </li>
                                        </ul>

                                    </el-col>
                                    <el-col :span="5">
                                        <ul class="info">
                                            <li>{{ aid }}</li>
                                            <li>{{ name }}</li>
                                            <li>{{ score }}</li>
                                            <li>{{ student }}</li>
                                            <li>{{ location }}</li>
                                            <li>{{ info }}</li>
                                        </ul>
                                    </el-col>
                                </el-row>
                                <el-row style="top:-15px">
                                    <el-row>
                                        <el-col :span="6">
                                            <ul class="mdui-list">

                                                <li><img :src="picshow" alt=""
                                                        style="width:200px;height:150px;margin-left:150px;"></li>
                                            </ul>
                                        </el-col>
                                    </el-row>
                                </el-row>
                            </el-card>
                        </el-col>
                        <el-col :offset="1" :span="12" class="verify-result">
                            <el-row>
                                <el-input v-model="input" type="textarea" rows="14" style="height:400px;"
                                    placeholder="请输入审核意见"></el-input>
                            </el-row>
                            <el-row justify="center" class="access">
                                <el-button type="success" style="width:150px; height: 50px; font-size:25px;"
                                    @click="pass_submit">通过</el-button>
                                <el-button type="danger" style="width:150px; height: 50px; font-size:25px;"
                                    @click="refuse_submit">不通过</el-button>
                            </el-row>

                        </el-col>
                    </el-row>
                </el-card>
            </el-row>
        </div>
    </div>
</template>

<script>
import axios from "axios";
import Base from "./Base.vue";
import global from "./Common.vue";
function getQueryVariable(variable) {
    var query = window.location.search.substring(1);
    var vars = query.split("&");
    for (var i = 0; i < vars.length; i++) {
        var pair = vars[i].split("=");
        if (pair[0] == variable) { return decodeURI(pair[1]); }
    }
    return (false);
}
export default {
    name: "Verify",
    data() {
        return {
            aid: getQueryVariable("feedback_id"),
            name: "",
            score: "",
            student: "",
            picture: "",
            location: "",
            info: "",
            input: "",
            ip: global.ip,
            picshow:""
        }
    },
    components: {
        Base
    },
    async created() {
        let token=localStorage.getItem("token")
        // 查看活动详情
        await axios({
            method: "POST",
            url:"http://" + this.ip + "/api/feedbackReview/detail",
            data:{
                id:this.aid
            },
            headers:{'Authorization': `Bearer: ${token}`}
        }).then((res)=>{
            console.log(res)
            if(res.data.code == '00'){
                this.aid = res.data.info.activity_id;
                this.name = res.data.info.activity_topic;
                this.score = res.data.info.score;
                this.info = res.data.info.text;
                this.student = res.data.info.user_name;
                this.location = res.data.info.location;
                this.picture  = res.data.info.pic;
            }

        })
        axios({
            method: 'POST',
            url: "http://" + this.ip + "/api/feedbackReview/pic",
            responseType: 'blob',
            data:{
                 pic:this.picture
             },
             headers:{'Authorization': `Bearer: ${token}`}
        })
        .then((res) => {
            console.log(res)
            this.picshow=window.URL.createObjectURL(res.data);
        });
    },
    methods: {
        pass_submit() {
            let token=localStorage.getItem("token");
            axios({
                method: "POST",
                url: "http://" + this.ip + "/api/feedbackReview/submitexamine",
                data: {
                    feedback_id: this.aid,
                    is_pass: 1,
                    reason: this.input
                },
                headers:{'Authorization': `Bearer: ${token}`}
            }).then(function (res) {
                console.log(res)
                if (res.data.code == "00")
                    alert("审核成功");
                else
                    alert("审核失败，请稍后再试");
                window.location.replace("http://" + global.ip_front + "/activities_verify");
            });
        },
        refuse_submit() {
            let token=localStorage.getItem("token");
            axios({
                method: "POST",
                url: "http://" + this.ip + "/api/feedbackReview/submitexamine",
                data: {
                    feedback_id: this.aod,
                    is_pass: 0,
                    reason: this.input
                },
                headers:{'Authorization': `Bearer: ${token}`}
            }).then(function (res) {
                console.log(res)
                if (res.data.code == "01")
                    alert("审核成功");
                else
                    alert("审核失败，请稍后再试");
                window.location.replace("http://" + global.ip_front + "/activities_verify");
            });
        }
    }
}
</script>

<style scoped>
a {
    text-decoration: none;
    color: white;
}

.container {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgb(238, 241, 246);
}

.box-card {
    position: relative;
    width: 75%;
    height: 80%;
    top: 50px;
    left: 140px;
    padding: 50px;
}

.form {
    position: relative;
    top: 100px;
}

.header {
    position: relative;
    font-size: 30px;
    top: 30px;
}

/deep/ .el-form-item {
    margin-bottom: 30px;
}

/deep/ .submitBtn {
    position: relative;
    width: 130px;
    height: 50px;
    font-size: 20px;
    left: 120px;
}

.verify-content span {
    display: inline-block;
    width: 100px;
    text-align: right;
}

.mdui-list-item-content {
    margin-left: 10px;
    text-align: right;
    font-weight: bolder;
}

.info {
    list-style: none;
    margin: 0;
    padding: 0;
}

.info>li {
    text-align: left;
    margin-left: 25px;
    margin-top: 25px;
    height: 23px;
}



.access {
    margin-top: 20px;
}
</style>